/**
 * Creates a JSON Web Token (JWT) using the provided payload.
 *
 * @param {object} payload The payload to include in the JWT.
 * @param signature Add a JWT signature
 * @return {string} The generated JWT string.
 */
export declare function createJwt(payload: object, signature?: string): string;
/**
 * Decode a JSON Web Token (JWT) payload, this will not check for tampering so be careful
 *
 * @param {string} token JWT to decode
 * @return {unknown} JWT payload
 */
export declare function decodeJwt<T>(token: string): T;
