/**
 * Filters an array of objects based on a search term and optional regex checking.
 *
 * @param {Array} rows Array of objects to filter
 * @param {string} search The logic string or regext to filter on
 * @param {boolean} [regex=false] Treat search expression as regex
 * @param {Function} [transform=(r) => r] - Transform rows before filtering
 * @return {Array} The filtered array of objects that matched search
 */
export declare function search(rows: any[], search: string, regex?: boolean, transform?: Function): any[];
/**
 * Test an object against a logic condition. By default values are checked
 * @param {string} condition
 * @param {object} target
 * @return {boolean}
 */
export declare function logicTest(target: object, condition: string): boolean;
